[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#470558: linux-image-2.6-ixp4xx: Please enable TKIP wireless encryption module (ieee80211_crypt_tkip)

Package: linux-image-2.6-ixp4xx
Version: 2.6.24+13
Severity: wishlist

The default kernel of ARM ixp4xx based devices (i.e. NSLU2) does not include the necessary modules for wireless networks using WPA security 
with TKIP encryption.  I know this is deprecated in favour of the AES based CCMP encryption, but I am using some devices which do not 
support CCMP, so must fall back to TKIP.

The ieee80211_crypt_tkip.ko module is required to be built and can be enabled by setting "CONFIG_IEEE80211_CRYPT_TKIP" in the kernel config.  
I've done this on a custom build of the kernel image and it works OK and I can use my NSLU2 on the wireless network

Rob Walker

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (900, 'stable'), (500, 'unstable')
Architecture: arm (armv5tel)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.24-1-ixp4xx
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Reply to: